SortByWeight Class Reference

Sort orders by weight. More...

## Public Member Functions

| SortByWeight (order_t _orders)
| Initialize orders.
bool | operator() (int i, int j)
| Sort order.

## Public Attributes

order_t | orders
| The orders.

## Detailed Description

Sort orders by weight.

Definition at line 115 of file steel-mill.cpp.

## Constructor & Destructor Documentation

## SortByWeight()

SortByWeight::SortByWeight | ( | order_t | _orders | ) |

inline

Initialize orders.

Definition at line 120 of file steel-mill.cpp.

## Member Function Documentation

## operator()()

bool SortByWeight::operator() | ( | int | i,
|  | int | j )

inline

Sort order.

Definition at line 122 of file steel-mill.cpp.

## Member Data Documentation

## orders

order_t SortByWeight::orders

The orders.

Definition at line 118 of file steel-mill.cpp.

The documentation for this class was generated from the following file:

- examples/steel-mill.cpp